be.fgov.ehealth.etkdepot._1_0.protocol

## Class ErrorType

- java.lang.Object
- - be.fgov.ehealth.etkdepot._1_0.protocol.ErrorType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:52:20+01:00",
                 comments="JAXB RI v2.3.7")
      public class ErrorType
      extends Object
      implements Serializable

  Java class for ErrorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ErrorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getMessage()` Gets the value of the message property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setMessage(String value)` Sets the value of the message property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorType

          public ErrorType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public String getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(String value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.